Bug 468514 - su - nocpulse -> su: /sbin/tcsh: No such file or directory
su - nocpulse -> su: /sbin/tcsh: No such file or directory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Monitoring (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Michael Mráka
:
Depends On:
Blocks: 463877
  Show dependency treegraph
 
Reported: 2008-10-25 10:00 EDT by Milan Zázrivec
Modified: 2009-09-10 14:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-10-25 10:00:44 EDT
Description of problem:
* Satellite-5.3.0-RHEL5-re20081024.1 / s390x

# su - nocpulse
su: /sbin/tcsh: No such file or directory
# which tcsh
/bin/tcsh
# grep nocpulse /etc/passwd
nocpulse:x:101:103:NOCpulse user:/var/lib/nocpulse:/sbin/tcsh

On a 5.2.0 satellite:
# grep nocpulse /etc/passwd
nocpulse:x:500:500:NOCpulse user:/home/nocpulse:/bin/bash
Comment 1 Miroslav Suchý 2008-10-29 15:50:42 EDT
I added it there accidentaly during recent edit of monitoring packages. In old spec is
tcsh=/bin/tcsh
but that variable is there never used. 
I'm going to remove explicit setting of shell...
Commited as b4e1bae925c60d7e7a35ce18e4ecca40f4bd9d00
Tagged as nocpulse-common-2.0.9-1
Comment 2 Michael Mráka 2009-01-26 07:28:02 EST
Verified.
Satellite-5.3.0-RHEL5-re20090119.1

# su - nocpulse
-bash-3.2$ 
# grep nocpulse /etc/passwd
nocpulse:x:101:103:NOCpulse user:/var/lib/nocpulse:/bin/bash
Comment 3 Jan Pazdziora 2009-08-19 10:25:19 EDT
[root@xen5 ~]# su - nocpulse
-bash-3.2$ pwd
/var/lib/nocpulse
-bash-3.2$ which tcsh
/bin/tcsh
-bash-3.2$ grep nocpulse /etc/passwd
nocpulse:x:102:104:NOCpulse user:/var/lib/nocpulse:/bin/bash
-bash-3.2$ 

Moving to RELEASE_PENDING.
Comment 4 Brandon Perkins 2009-09-10 14:49:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.